<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MediaPlayer Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for MediaPlayer:</div>
<div class="dyncontent">
<div class="center"><img src="dir_9d34932954f3d83257e5e12e3f421a72_dep.png" border="0" usemap="#dir__9d34932954f3d83257e5e12e3f421a72__dep" alt="/workplace/avs-device-sdk/MediaPlayer"/></div>
<map name="dir__9d34932954f3d83257e5e12e3f421a72__dep" id="dir__9d34932954f3d83257e5e12e3f421a72__dep">
<area shape="rect" id="node2" href="dir_b97c8a12362aabf73b92afdea21f65db.html" title="AndroidSLESMediaPlayer" alt="" coords="37,27,213,75"/>
<area shape="rect" id="node4" href="dir_748b5abbb33df61eda67007924a1a0cb.html" title="ApplicationUtilities" alt="" coords="87,123,217,171"/>
<area shape="rect" id="edge5-headlabel" href="dir_000256_000026.html" title="15" alt="" coords="141,96,156,109"/>
<area shape="rect" id="node5" href="dir_63c328d9f040c398ed3a99417a38689e.html" title="EqualizerImplementations" alt="" coords="33,219,207,267"/>
<area shape="rect" id="edge6-headlabel" href="dir_000256_000222.html" title="2" alt="" coords="93,192,100,205"/>
<area shape="rect" id="node6" href="dir_655fbec917b1f23289d3ed8ec9803bf1.html" title="PlaylistParser" alt="" coords="240,123,343,171"/>
<area shape="rect" id="edge7-headlabel" href="dir_000256_000266.html" title="4" alt="" coords="235,99,242,113"/>
<area shape="rect" id="node7" href="dir_13e65effb2bde530b17b3d5eefcd0266.html" title="AVSCommon" alt="" coords="195,315,296,363"/>
<area shape="rect" id="edge8-headlabel" href="dir_000256_000015.html" title="46" alt="" coords="171,311,186,324"/>
<area shape="rect" id="node3" href="dir_e1f7d5df1447213cfb529aad5fa2c859.html" title="GStreamerMediaPlayer" alt="" coords="237,27,398,75"/>
<area shape="rect" id="edge9-headlabel" href="dir_000261_000266.html" title="4" alt="" coords="307,100,315,113"/>
<area shape="rect" id="edge10-headlabel" href="dir_000261_000015.html" title="29" alt="" coords="279,299,294,313"/>
<area shape="rect" id="edge1-headlabel" href="dir_000026_000222.html" title="1" alt="" coords="138,197,146,210"/>
<area shape="rect" id="edge2-headlabel" href="dir_000026_000015.html" title="51" alt="" coords="243,289,258,302"/>
<area shape="rect" id="edge3-headlabel" href="dir_000222_000015.html" title="34" alt="" coords="197,290,212,303"/>
<area shape="rect" id="edge4-headlabel" href="dir_000266_000015.html" title="36" alt="" coords="257,292,272,305"/>
<area shape="rect" id="clust1" href="dir_9d34932954f3d83257e5e12e3f421a72.html" alt="" coords="27,16,528,85"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="subdirs"></a>
Directories</h2></td></tr>
<tr class="memitem:dir_b97c8a12362aabf73b92afdea21f65db"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_b97c8a12362aabf73b92afdea21f65db.html">AndroidSLESMediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_e1f7d5df1447213cfb529aad5fa2c859"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_e1f7d5df1447213cfb529aad5fa2c859.html">GStreamerMediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
